# Uses of Interface
javax.management.remote.rmi.RMIServer

Packages that use RMIServer
Package
Description
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

- ## Uses of RMIServer in javax.management.remote.rmi

  Classes in javax.management.remote.rmi that implement RMIServer
  Modifier and Type
  Class
  Description
  `class`
  `RMIJRMPServerImpl`
  An `RMIServer` object that is exported through JRMP and that creates client connections as RMI objects exported through JRMP.
  `class`
  `RMIServerImpl`
  An RMI object representing a connector server.
  `final class`
  `RMIServerImpl_Stub`
  RMIServerImpl remote stub.
  Constructors in javax.management.remote.rmi with parameters of type RMIServer
  Modifier
  Constructor
  Description
  ``
  `RMIConnector(RMIServer rmiServer, Map<String,?> environment)`
  Constructs an `RMIConnector` using the given RMI stub.